/**
 * Copyright (c) 2009-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.registry.core.ws.adapters;

import org.ow2.petals.registry.api.Information;
import org.ow2.petals.registry.api.ws.adapters.InformationAdapter;

/**
 * @author Christophe HAMERLING - EBM WebSourcing
 */
public class InformationAdapterImpl implements InformationAdapter {

    /*
     * (non-Javadoc)
     * 
     * @see
     * org.ow2.petals.registry.api.ws.adapters.InformationAdapter#toRegistry(org
     * .ow2.petals.registry.api.ws.to.Information)
     */
    public Information toRegistry(org.ow2.petals.registry.api.ws.to.Information information) {
        Information result = new Information();
        result.setSender(information.getSender());
        result.setTime(information.getTime());
        return result;
    }

    /*
     * (non-Javadoc)
     * 
     * @see
     * org.ow2.petals.registry.api.ws.adapters.InformationAdapter#toWS(org.ow2.
     * petals.registry.api.Information)
     */
    public org.ow2.petals.registry.api.ws.to.Information toWS(Information information) {
        org.ow2.petals.registry.api.ws.to.Information result = new org.ow2.petals.registry.api.ws.to.Information();
        result.setSender(information.getSender());
        result.setTime(information.getTime());
        return result;
    }

}
