/**
 * Copyright (c) 2009-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.registry.core.ws.adapters;

import org.ow2.petals.registry.api.Query;
import org.ow2.petals.registry.api.ws.adapters.QueryAdapter;

/**
 * @author Christophe Hamerling - EBM WebSourcing
 */
public class QueryAdapterImpl implements QueryAdapter {

    public Query toRegistry(org.ow2.petals.registry.api.ws.to.Query query) {
        Query result = new Query();
        if (query != null) {
            result.setEndpoint(query.getEndpoint());
            result.setInterface(query.getInterface());
            result.setService(query.getService());
            result.setComponent(query.getComponent());
            result.setContainer(query.getContainer());
            result.setSubDomain(query.getSubDomain());
            result.setType(query.getType());
        }
        return result;
    }

    public org.ow2.petals.registry.api.ws.to.Query toWS(Query query) {
        org.ow2.petals.registry.api.ws.to.Query result = new org.ow2.petals.registry.api.ws.to.Query();
        if (query != null) {
            result.setEndpoint(query.getEndpoint());
            result.setInterface(query.getInterface());
            result.setService(query.getService());
            result.setComponent(query.getComponent());
            result.setContainer(query.getContainer());
            result.setSubDomain(query.getSubDomain());
            result.setType(query.getType());
        }
        return result;
    }

}
