/**
 * Copyright (c) 2009-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.registry.core.config;

import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.fail;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;

import org.junit.Test;
import org.ow2.petals.registry.api.config.Configuration;
import org.ow2.petals.registry.api.config.ConfigurationLoader;
import org.ow2.petals.registry.api.config.PropertiesConfigurationLoader;
import org.ow2.petals.registry.api.exception.RegistryException;

/**
 * @author Christophe HAMERLING - EBM WebSourcing
 */
public class PropertiesConfigurationLoaderTest {

    public void testLoadFromClasspath() throws Exception {
        // nothing
    }

    @Test
    public void testLoadEmptyInputStream() {
        ConfigurationLoader loader = new PropertiesConfigurationLoader();
        FileInputStream fis = null;
        File tmp = null;
        try {
            tmp = File.createTempFile(Long.toString(System.currentTimeMillis()), "sfx");
        } catch (IOException e) {
            fail(e.getMessage());
        }

        try {
            fis = new FileInputStream(tmp);
        } catch (FileNotFoundException e) {
            fail(e.getMessage());
        }

        Configuration config = null;
        try {
            config = loader.loadLocal(fis);
        } catch (RegistryException e) {
        } catch (RuntimeException e) {
        }

        assertNotNull(config);
    }

    /**
     * Null loads the default configuration
     */
    @Test
    public void testLoadNullStream() {
        ConfigurationLoader loader = new PropertiesConfigurationLoader();
        try {
            loader.loadLocal((InputStream) null);
            fail();
        } catch (RegistryException e) {
        }
    }
}
